Class | YARD::Tags::GroupDirective
In: | lib/yard/tags/directives.rb
Parent: | Directive

Defines a group listing. All methods (and attributes) seen after this directive are placed into a group with the given description as the group name. The group listing is used by templates to organize methods and attributes into respective logical groups. To end a group listing use {tag:!endgroup}.

@note A group definition only applies to the scope it is defined in.

      If a new class or module is opened after the directive, this directive
      will not apply to methods in that class or module.

@example

      # @!group Callbacks

      def before_filter; end
      def after_filter; end

@see tag:!endgroup @since 0.6.0

### Methods

call

### Public Instance methods

call()

[Validate]